
QGIS Application - Bug report #2975

QGIS crashes when saving layer with User Defined CRS

2010-09-01 07:44 AM - pinghanling -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13035

Description

Working on Windows XP SP1, QGIS 1.5.0

1. Have a shapefile open.

2. Right-click, Save As.

3. Enter filename.

4. Click Browse next to CRS

5. Click a User Defined CRS.

6. QGIS crashes

From Windows Event Viewer:

Event Type:    Error

Event Source:    Application Error

Event Category:    None

Event ID:    1000

Date:        2010/09/01

Time:        04:41:03 PM

User:        N/A

Computer:    HOBBITS-UZ3CHY5

Description:

Faulting application qgis.exe, version 0.0.0.0, faulting module qtgui4.dll, version 4.5.2.0, fault address 0x003d4662.

For more information, see Help and Support Center at http://go.microsoft.com/fwlink/events.asp.

Data:

0000: 41 70 70 6c 69 63 61 74   Applicat

0008: 69 6f 6e 20 46 61 69 6c   ion Fail

0010: 75 72 65 20 20 71 67 69   ure  qgi

0018: 73 2e 65 78 65 20 30 2e   s.exe 0.

0020: 30 2e 30 2e 30 20 69 6e   0.0.0 in

0028: 20 71 74 67 75 69 34 2e    qtgui4.

0030: 64 6c 6c 20 34 2e 35 2e   dll 4.5.

0038: 32 2e 30 20 61 74 20 6f   2.0 at o

0040: 66 66 73 65 74 20 30 30   ffset 00

0048: 33 64 34 36 36 32 0d 0a   3d4662..
History

#1 - 2010-09-01 09:57 AM - Giovanni Manghi

not replicable here under windows xp sp3 and Seven.

Can you provide the custom CRS and a sample dataset?

#2 - 2010-09-03 04:28 AM - pinghanling -

Replying to [comment:1 lutra]:

not replicable here under windows xp sp3 and Seven.

Can you provide the custom CRS and a sample dataset?

Am trying to send email, but getting an error:

Delivery to the following recipient failed permanently:

trac@osgeo.org

Technical details of permanent failure:

Google tried to deliver your message, but it was rejected by the recipient domain. We recommend contacting the other email provider for further information

about the cause of this error. The error that the other server returned was: 550 550 <trac@osgeo.org>: Recipient address rejected: User unknown in local

recipient table (state 14).

#3 - 2010-09-03 04:30 AM - Giovanni Manghi

what you are trying to do? you can attach files here in the tracker.

#4 - 2010-09-03 04:36 AM - pinghanling -

Replying to [comment:4 lutra]:

what you are trying to do? you can attach files here in the tracker.

Sorry, didn't see that. Have attached a shapfefile with which I repeatedly got this error.

Custom CRS was:

+proj=tmerc +lat_0=0 +lon_0=29 +k=1 +x_0=0 +y_0=0 +ellps=WGS84 +units=m +no_defs

#5 - 2010-09-03 08:18 AM - Giovanni Manghi

does not crash under xp sp3 and Seven. Please try update your windows xp installation and/or make a clean installation of qgis (delete also the .qgis

folder).
#6 - 2010-09-06 05:55 AM - pinghanling -

Replying to [comment:6 lutra]:

does not crash under xp sp3 and Seven. Please try update your windows xp installation and/or make a clean installation of qgis (delete also the

.qgis folder).

Sorry, can't upgrade to SP3. Did a clean installation of QGIS but the problem remains.

We can remove this bug report, but I don't know how.

#7 - 2010-09-06 05:56 AM - pinghanling -

- Status changed from Open to Closed

- Resolution set to invalid

O, I see where to change the status, have changed it to 'invalid'.

#8 - 2010-09-14 04:25 AM - pinghanling -

If it's of any interest, I experienced exactly the same problem yesterday on QGIS 1.5.0 on Ubuntu 10.04.

Files

lieb_border_wgs84.zip 14.9 KB 2010-09-03 pinghanling -

2025-04-27 3/3


